# Method: accounts.customers.list

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#try-it)

List `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers#Customer`s.

Possible error codes:

- PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request.
- INVALID_ARGUMENT: Required request parameters are missing or invalid.

Return value: List of `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers#Customer`s, or an empty list if there are no customers.

### HTTP request

`GET https://cloudchannel.googleapis.com/v1/{parent=accounts/*}/customers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the reseller account to list customers from. Parent uses the format: accounts/{account_id}. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of customers to return. The service may return fewer than this value. If unspecified, returns at most 10 customers. The maximum value is 50. |
| `pageToken` | `string` Optional. A token identifying a page of results other than the first page. Obtained through `https://docs.cloud.google.com/channel/docs/reference/rest/v1/ListCustomersResponse#FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/list#google.cloud.channel.v1.CloudChannelService.ListCustomers` call. |
| `filter` | `string` Optional. Filters applied to the \[CloudChannelService.ListCustomers\] results. See <https://cloud.google.com/channel/docs/concepts/google-cloud/filter-customers> for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/channel/docs/reference/rest/v1/ListCustomersResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).